/*
 * This file is part of SubLink.
 * Copyright (C) 2010  Jeferson Hultmann <hultmann@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

const EXPORTED_SYMBOLS = [];
Components.utils.import("resource://sublink-migreme-modules/util.js");

function addButton() {
  var newId = "sublink-migreme-button";
  var winEnum = util.browserWindowsEnum();
  while (winEnum.hasMoreElements()) {
    var win = winEnum.getNext();

    var toolbar = win.document.getElementById("nav-bar");
    if (toolbar.currentSet.split(",").indexOf(newId) > -1) {
      continue;
    }

    var newSet = toolbar.currentSet + "," + newId;
    util.log("addButton newSet " + toolbar.currentSet + newSet);
    toolbar.setAttribute("currentset", newSet);
    toolbar.currentSet = newSet;
    win.document.persist("nav-bar", "currentset");
    win.BrowserToolboxCustomizeDone(true);
  }
}


addButton();
